On Mon, Oct 06, 2014 at 06:12:17PM +0200, Pino Toscano wrote:
---
cat/test-virt-log.sh | 27 ++++++++++++++++++++++++++-
1 file changed, 26 insertions(+), 1 deletion(-)
diff --git a/cat/test-virt-log.sh b/cat/test-virt-log.sh
index af6bb95..d4fa0ed 100755
--- a/cat/test-virt-log.sh
+++ b/cat/test-virt-log.sh
@@ -19,7 +19,32 @@
export LANG=C
set -e
+can_handle ()
+{
+ fn=$(basename $1)
+ case "$fn" in
+ fedora.img)
+ guestfish -a /dev/null run : available journal
+ ;;
+ *)
+ return 0
+ ;;
+ esac
+}
+
# Read out the log files from the image using virt-log.
for f in ../tests/guests/{fedora,debian,ubuntu}.img; do
- if [ -s "$f" ]; then $VG virt-log -a "$f"; fi
+ echo "Trying $f ..."
+ if [ ! -s "$f" ]; then
+ echo "SKIP: empty file"
+ echo
+ continue
+ fi
+ if ! can_handle "$f"; then
+ echo "SKIP: cannot handle $f"
+ echo
+ continue
+ fi
+ $VG virt-log -a "$f"
+ echo
ACK.
Rich.
--
Richard Jones, Virtualization Group, Red Hat
http://people.redhat.com/~rjones
Read my programming and virtualization blog:
http://rwmj.wordpress.com
virt-p2v converts physical machines to virtual machines. Boot with a
live CD or over the network (PXE) and turn machines into KVM guests.
http://libguestfs.org/virt-v2v